<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/config:1.0"
                  xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0"
                  xmlns:base ="http://www.h3c.com/netconf/base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>

  <xs:complexType name="SnmpHexBinary">
    <xs:simpleContent >
      <xs:extension base="xs:hexBinary" >
        <xs:attributeGroup ref="base:ColumnAttributeGroup"></xs:attributeGroup>
      </xs:extension>
    </xs:simpleContent>
  </xs:complexType>

  <!--String must not contain ?, Tab, space, and  \r\n characters.-->
  <xs:complexType name="SnmpAdminString">
    <xs:simpleContent >
      <xs:restriction base="base:String">
        <xs:pattern value="^[!->@-~]([!->@-~]{0,1}||[ !->@-~]*[!->@-~])$"></xs:pattern>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>

  <xs:element name="SNMP">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="System" minOccurs="0">
          <xs:annotation>
            <xs:documentation>This table contains SNMP system information.</xs:documentation>
          </xs:annotation>
          <xs:complexType >
            <xs:all>
              <xs:element name="AgentStatus" minOccurs="0" type="base:EnableState" nillable="true" >
                <xs:annotation>
                  <xs:documentation>SNMP status as follows: enable, disable.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="Version" minOccurs ="0" >
                <xs:annotation>
                  <xs:documentation>SNMP version information.</xs:documentation>
                </xs:annotation>
                <xs:complexType >
                  <xs:all>
                    <xs:element name="V1" minOccurs="0" type="base:EnableState" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>SNMP V1 status as follows: enable, disable.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="V2C" minOccurs="0" type="base:EnableState" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>SNMP V2C status as follows: enable, disable.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="V3" minOccurs="0" type="base:EnableState" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>SNMP V3 status as follows: enable, disable.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType >
              </xs:element>
              <xs:element name="Location" nillable="true" minOccurs="0">
                <xs:annotation >
                  <xs:documentation>SNMP physical location information. String length constraints must be in range(0..255).</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:Text">
                      <xs:maxLength value="255"></xs:maxLength>
                      <xs:minLength value="0"></xs:minLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="Contact" nillable="true" minOccurs="0">
                <xs:annotation >
                  <xs:documentation>SNMP contact information. String length constraints must be in range(0..255).</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:Text">
                      <xs:maxLength value="255"></xs:maxLength>
                      <xs:minLength value="0"></xs:minLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name ="Agent" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Agent information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="LocalEngineId" minOccurs="0" nillable="true" >
                <xs:annotation>
                  <xs:documentation>Local engine ID of agent</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="SnmpHexBinary">
                      <xs:maxLength value="64"></xs:maxLength>
                      <xs:minLength value="10"></xs:minLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="AgentUdpPort" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>UDP port for receiving SNMP packets</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="1"></xs:minInclusive>
                      <xs:maxInclusive value="65535"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="PacketMaxSize" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>Maximum size of packets that the agent can receive or send Unit:byte</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="484"></xs:minInclusive>
                      <xs:maxInclusive value="17940"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="GetLog" minOccurs="0" type="base:Boolean" nillable="true">
                <xs:annotation>
                  <xs:documentation>Logging status of get</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="SetLog" minOccurs="0" type="base:Boolean" nillable="true">
                <xs:annotation>
                  <xs:documentation>Logging status of set</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="NotificationLog" minOccurs="0" type="base:Boolean" nillable="true">
                <xs:annotation>
                  <xs:documentation>Logging status of notification</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name ="Notification" minOccurs="0">
          <xs:annotation>
            <xs:documentation>notification information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="ColdStart" minOccurs="0" type="base:Boolean" nillable="true" >
                <xs:annotation>
                  <xs:documentation>Status of SNMP coldStart notification</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="WarmStart" minOccurs="0" type="base:Boolean" nillable="true">
                <xs:annotation>
                  <xs:documentation>Status of SNMP warmStart notification</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="AuthenticationFailure" minOccurs="0" type="base:Boolean" nillable="true">
                <xs:annotation>
                  <xs:documentation>Status of SNMP authenticationFailure notification</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="QueueSize" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>Notification queue size</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="1"></xs:minInclusive>
                      <xs:maxInclusive value="1000"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="QueueLifeTime" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>Lifetime of notifications in the SNMP notification queue.Unit:second</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="1"></xs:minInclusive>
                      <xs:maxInclusive value="2592000"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="TrapSource" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>An interface name,of which primary IP address as the source IP address for the traps</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:String">
                      <xs:maxLength value="47"></xs:maxLength>
                      <xs:minLength value="2"></xs:minLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="InformSource" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>An interface name,of which primary IP address as the source IP address for the informs</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:String">
                      <xs:maxLength value="47"></xs:maxLength>
                      <xs:minLength value="2"></xs:minLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Communities" minOccurs="0">
          <xs:annotation>
            <xs:documentation>This table contains SNMP community information.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Community" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Community name. String length constraints must be in range(1..32).</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"/>
                            <xs:minLength value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Type" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          Community type as follows:
                          0 read-only
                          1 read-write
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="MIBView" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>MIB-VIEW</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"/>
                            <xs:minLength value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Role" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Role Name</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="63"/>
                            <xs:minLength value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv4BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv4 Basic ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv4AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv4 Advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv6 Basic ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv6 Advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Contexts" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Context"  maxOccurs="unbounded" minOccurs="0">
                <xs:annotation >
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" nillable="true" minOccurs="0">
                      <xs:annotation >
                        <xs:documentation>context name(string£¬length:1-32)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="CommunityMappings" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Mapping"  maxOccurs="unbounded" minOccurs="0">
                <xs:annotation >
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Community" nillable="true" minOccurs="0">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Context" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="MIBViews" minOccurs="0">
          <xs:annotation>
            <xs:documentation>MIBViews table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="View" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>rowname</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The name of view.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="32"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SubTree" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The name of subtree.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="255"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Type" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The type of subtree.
                          1 Included
                          2 Excluded
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Mask" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The mask of subtree.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpHexBinary">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="32"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Groups" minOccurs="0">
          <xs:annotation>
            <xs:documentation>SNMP group information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Group" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation >
                  <xs:documentation>Rowname</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Group name.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityMode" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>The security model by this group is provided.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityLevel" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Security Level.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ReadView" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>MIB view for read-only access.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="WriteView" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>MIB view for  read and write  access.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NotifyView" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>MIB view for  notify access.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv4BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv4 Basic ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv4AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv4 Advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv6 Basic ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv6 Advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:sequence>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Users" minOccurs="0">
          <xs:annotation>
            <xs:documentation>SNMP UsmUsers infomations</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="User" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Rowname</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="SecurityMode" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>SecurityMode</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Name" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          UsmUser Name
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value ="1"></xs:minLength>
                            <xs:maxLength value="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="EngineId" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The EngineId
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpHexBinary">
                            <xs:minLength value ="10"></xs:minLength>
                            <xs:maxLength value="64"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Address"  type="base:IpAddress"  nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          Address of the remote manage.
                          IPv4 example: 1.1.1.1
                          IPv6 example: 1:2:3:4:5:6:7:8
                          HostName example: www. example.com
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="VRF" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          VRF instance name.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value ="1"></xs:minLength>
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="GroupControl" minOccurs="0" maxOccurs="unbounded">
                      <xs:complexType>
                        <xs:choice>
                          <xs:element name="Group" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>UsmUser's Group Name</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="SnmpAdminString">
                                  <xs:minLength value ="1"></xs:minLength>
                                  <xs:maxLength value="32"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Role" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>UsmUser's Role Name</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value ="1"></xs:minLength>
                                  <xs:maxLength value="63"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:choice>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityParam" minOccurs="0" maxOccurs="unbounded">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="AuthProtocol" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Authentication algorithm.
                                1 MD5
                                2 SHA
                              </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:enumeration value="1"></xs:enumeration>
                                  <xs:enumeration value="2"></xs:enumeration>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="AuthKey" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Authentication key.Plaintext key string.
                                Must be specified with ¡®AuthProtocol¡¯.
                              </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value ="1"></xs:minLength>
                                  <xs:maxLength value="64"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="PrivProtocol" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Encryption algorithm for privacy.
                                1 DES
                                2 AES
                                3 3DES
                                4 AES192
                                5 AES256
                              </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:enumeration value="1"></xs:enumeration>
                                  <xs:enumeration value="2"></xs:enumeration>
                                  <xs:enumeration value="3"></xs:enumeration>
                                  <xs:enumeration value="4"></xs:enumeration>
                                  <xs:enumeration value="5"></xs:enumeration>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="PrivKey" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Privacy key.Plaintext key string.
                                Must be specified with PrivProtocol.
                              </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value ="1"></xs:minLength>
                                  <xs:maxLength value="64"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv4BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv4 Basic ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv4AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv4 Advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv6 Basic ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv6 Advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:sequence>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="RemoteManages" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Manage" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>rowname</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Address" type="base:IpAddress" minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Address of the remote manage</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="VRF" minOccurs="0"  nillable="true" >
                      <xs:annotation>
                        <xs:documentation>VRF instance name.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                            <xs:minLength value="0"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="EngineId"  minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>SNMP engine ID of the remote manage.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpHexBinary">
                            <xs:maxLength value="64"></xs:maxLength>
                            <xs:minLength value="10"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="TargetHosts" minOccurs="0">
          <xs:annotation>
            <xs:documentation>SNMPTargethostInfo</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="UdpHost" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>rowname</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="TargetType" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  1  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityName" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  2  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Address"  minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>  3  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="253"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VRF"  minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>  4  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                            <xs:minLength value="0"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityMode" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  5  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityLevel" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  6  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Port" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  7  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0" />
                            <xs:maxInclusive value="65535" />
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AddressType" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  8  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
